Option Explicit
Dim objFSO, strMessage

' Create the File System Object
Set objFSO = CreateObject("Scripting.FileSystemObject")

' Start the display string
strMessage = "Status Report for Drive C:" & vbCrLf & vbCrLf

' Get the properties of Drive C
With objFSO.Drives("C")

    ' Add the volume name to the message
    strMessage = strMessage & "Volume Name: " & .VolumeName & vbCrLf

    ' Check the drive status
    If .IsReady = True Then

        ' If it's ready, add the status, total size,
        ' and the free space to the message
        strMessage = strMessage & "Status: Ready" & vbCrLf
        strMessage = strMessage & "Total space: " & _
                     FormatNumber(.TotalSize / 1073741824, 2) & " GB" & vbCrLf
        strMessage = strMessage & "Free space: " & _ 
                     FormatNumber(.FreeSpace / 1073741824, 2) & " GB"
        strMessage = strMessage & vbCrLf & vbCrLf
    Else

        ' Otherwise, just add the status to the message
        strMessage = strMessage & "Status: Not Ready" & vbCrLf & vbCrLf
    End If
End With

' Display the message
WScript.Echo strMessage
